# Uses of Class
it.tdlight.jni.TdApi.MessageOrigin

## Uses of TdApi.MessageOrigin in it.tdlight.jni

Subclasses of TdApi.MessageOrigin in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.MessageOriginChannel`
The message was originally a post in a channel.
`static final class`
`TdApi.MessageOriginChat`
The message was originally sent on behalf of a chat.
`static final class`
`TdApi.MessageOriginHiddenUser`
The message was originally sent by a user, which is hidden by their privacy settings.
`static final class`
`TdApi.MessageOriginUser`
The message was originally sent by a known user.
Fields in it.tdlight.jni declared as TdApi.MessageOrigin
Modifier and Type
Field
Description
`TdApi.MessageOrigin`
TdApi.MessageForwardInfo.`origin`
Origin of the forwarded message.
`TdApi.MessageOrigin`
TdApi.MessageReplyToMessage.`origin`
Information about origin of the message if the message was from another chat or topic; may be null for messages from the same chat.
Constructors in it.tdlight.jni with parameters of type TdApi.MessageOrigin
Modifier
Constructor
Description
``
`MessageForwardInfo(TdApi.MessageOrigin origin, int date, TdApi.ForwardSource source, String publicServiceAnnouncementType)`
Contains information about a forwarded message.
``
`MessageReplyToMessage(long chatId, long messageId, TdApi.TextQuote quote, TdApi.MessageOrigin origin, int originSendDate, TdApi.MessageContent content)`
Describes a message replied by a given message.